Add an interface to filter activities by user
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Activity view Estimated time: 0.00 hour

Target version: 4.2.0   

Resolution: Fixed   

Description

The activity page already has a feature to show the activities of a user, but there is no UI to do it on the page. You have to go to the

profile page of a user (/users/:id) or rewrite the URL by hand.

It would be nice to be able to select which user's activities are displayed on the Activity page, like Trac.

 trac-timeline-by-author.png 

Related issues:

Related to Redmine - Feature #7322: add ability to filter the activity page New 2011-01-13

Related to Redmine - Feature #4791: Activity per project and user - missing l... New 2010-02-10

Associated revisions

Revision 20752 - 2021-02-21 02:45 - Go MAEDA

Add an interface to filter activities by user (#33602).

Patch by Mizuki ISHIKAWA.

Revision 20781 - 2021-03-13 04:01 - Go MAEDA

Add missing fixtures (#33602).

History

#1 - 2020-06-16 16:30 - Go MAEDA

- Related to Feature #7322: add ability to filter the activity page added

#2 - 2020-07-16 07:13 - Mizuki ISHIKAWA

- File feature-33602.patch added

I will attach the patch.

I wrote the code to generate user options based on the code to generate the Author options in the issues filter(Query#author_values).

#3 - 2020-12-28 03:48 - Go MAEDA

- File user-field-on-activity-page.png added

- Target version set to Candidate for next major release

Here is a screenshot of the patch posted in #33602#note-2. In the sidebar, you can select a project member to show activity.
https://trac.edgewall.org/
https://www.redmine.org/issues/33602#note-2


#4 - 2021-02-05 19:53 - Mischa The Evil

- Related to Feature #4791: Activity per project and user - missing link? added

#5 - 2021-02-05 20:15 - Mischa The Evil

I think this could be a nice addition. Nonetheless, its implementation is actually still incomplete as the activity view accepts any user instead of only

users who are project members (which is also true for the author issues filter, btw). OTOH, I don't know what the best way to solve this issue

completely is (as adding all users to the select tag is not feasible).

#6 - 2021-02-06 05:32 - Go MAEDA

Mischa The Evil wrote:

Nonetheless, its implementation is actually still incomplete as the activity view accepts any user instead of only users who are project members

(which is also true for the author issues filter, btw).

 Although the patch lacks a feature to select a user who is not a member of the project, I think it is useful in most cases even if the feature is not

available. As you pointed out, issues filter does not have the feature too.

I think it would be better to merge this patch first, and then discuss the ability to select non-members as an additional improvement. What do you

think?

#7 - 2021-02-18 15:32 - Go MAEDA

- Target version changed from Candidate for next major release to 4.2.0

Setting the target version to 4.2.0.

#8 - 2021-02-21 02:45 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you.

Files

trac-timeline-by-author.png 307 KB 2020-06-16 Go MAEDA

feature-33602.patch 3.2 KB 2020-07-16 Mizuki ISHIKAWA

user-field-on-activity-page.png 143 KB 2020-12-28 Go MAEDA
